curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.cdata.com/api/v1/admin/groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.cdata.com/api/v1/admin/groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.cdata.com/api/v1/admin/groups/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.cdata.com/api/v1/admin/groups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5a4b3c2d-1e0f-4a9b-8c7d-6e5f4a3b2c10",
"name": "Finance",
"source": "scim",
"enabled": true,
"description": null,
"idp_group_id": "0a1b2c3d-4e5f-6071-8293-a4b5c6d7e8f9",
"member_count": 42,
"last_synced_at": "2026-06-01T12:00:00Z",
"created_at": "2026-03-15T09:00:00Z",
"created_by": null
}{
"error": {
"code": "GROUP_NOT_FOUND",
"message": "The specified group does not exist."
}
}Get Group
Get a single group. The response has the same shape as the items returned by GET /groups.
curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.cdata.com/api/v1/admin/groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.cdata.com/api/v1/admin/groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.cdata.com/api/v1/admin/groups/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.cdata.com/api/v1/admin/groups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5a4b3c2d-1e0f-4a9b-8c7d-6e5f4a3b2c10",
"name": "Finance",
"source": "scim",
"enabled": true,
"description": null,
"idp_group_id": "0a1b2c3d-4e5f-6071-8293-a4b5c6d7e8f9",
"member_count": 42,
"last_synced_at": "2026-06-01T12:00:00Z",
"created_at": "2026-03-15T09:00:00Z",
"created_by": null
}{
"error": {
"code": "GROUP_NOT_FOUND",
"message": "The specified group does not exist."
}
}Authorizations
OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).
Scopes
Read access to group resources.
Path Parameters
Group identifier (UUID).
Response
OK
Connect AI group identifier.
Group display name. For scim groups, as synced from the IdP.
Group origin.
scim, custom Whether the group is enabled. false for scim groups until you enable them in the Connect AI UI. Always true for custom groups.
Set for custom groups. Always null for scim groups.
IdP identifier (for example, an Entra ID object ID or Okta group ID). Set for scim groups. Always null for custom groups.
Number of members in the group.
Last SCIM sync time. Always null for custom groups.
For custom groups, the time of API creation. For scim groups, the time of first sync.
Set for custom groups. null for scim groups.
Was this page helpful?